Package org.apache.commons.imaging.formats.jpeg.segments

# Class JfifSegment

java.lang.Object
org.apache.commons.imaging.common.BinaryFileParser
org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment
org.apache.commons.imaging.formats.jpeg.segments.JfifSegment

public final class JfifSegment extends AbstractSegment

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `densityUnits`
  `final int`
  `jfifMajorVersion`
  `final int`
  `jfifMinorVersion`
  `final int`
  `thumbnailSize`
  `final int`
  `xDensity`
  `final int`
  `xThumbnail`
  `final int`
  `yDensity`
  `final int`
  `yThumbnail`

  ### Fields inherited from class org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment

  `length, marker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JfifSegment(int marker, byte[] segmentData)`
  `JfifSegment(int marker, int markerLength, InputStream is)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Gets the description.

  ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.AbstractSegment

  `dump, getSegmentType, toString`

  ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

  `debugNumber, debugNumber, getByteOrder, setByteOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### jfifMajorVersion

    public final int jfifMajorVersion

  - ### jfifMinorVersion

    public final int jfifMinorVersion

  - ### densityUnits

    public final int densityUnits

  - ### xDensity

    public final int xDensity

  - ### yDensity

    public final int yDensity

  - ### xThumbnail

    public final int xThumbnail

  - ### yThumbnail

    public final int yThumbnail

  - ### thumbnailSize

    public final int thumbnailSize

- ## Constructor Details

  - ### JfifSegment

    public JfifSegment(int marker, byte[] segmentData) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

  - ### JfifSegment

    public JfifSegment(int marker, int markerLength, InputStream is) throws ImagingException, IOException
    Throws:
      `ImagingException`
      `IOException`

- ## Method Details

  - ### getDescription

    public String getDescription()
    Description copied from class: `AbstractSegment`
    Gets the description.
    Specified by:
      `getDescription` in class `AbstractSegment`
    Returns:
      the description.